Skip to content

Find Employees

Operation
wsdlFindEmployees
SOAP Action
uri:FlexForce/FindEmployees
Service
FlexForce
Port
FlexForcePort
Style
rpc

Find which unit one or more employees belong to, based on badge number or email address. The response only includes employees of the unit owning the API key, unless the main unit API key is used. Non-existent employees are silently omitted.

The API is used to find what specific unit one or multiple employees belong based on their badge number or email address. The response contains basic information about the home unit for each of the employees in the search list. Non-existent employees will not render a result.

NOTE 1: The response will only return the employees belonging to the unit of the API key unless main unit API key is used

NOTE 2: badgeNoList Should always be set as first argument even if its empty array (eg only searching on email addresses)


Request

Message: wsdlFindEmployeesRequest

apiKeystringrequired

API key. Only the main unit (root) key searches across the whole customer.

badgeNoListArray<badgeNo>required

Array of badgeNo. Must always be present even when empty (e.g. when searching only on email).

itembadgeNo

A badge number filter value.

badgeNostringrequired
Example56781
emailListArray<email>

Array of email.

itememail

An email address filter value.

emailstringrequired
Formata@quinyx.com
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/FindEmployees"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlFindEmployees>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <badgeNoList xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:badgeNo[1]">
      <item xsi:type="tns:badgeNo">
        <badgeNo xsi:type="xsd:string">56781</badgeNo>
      </item>
    </badgeNoList>
    <emailList xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:email[1]">
      <item xsi:type="tns:email">
        <email xsi:type="xsd:string">string</email>
      </item>
    </emailList>
    </tns:wsdlFindEmployees>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlFindEmployeesResponse

returnArray<UnitEmployee>

Array of UnitEmployee records — one per matched employee.

itemUnitEmployee

An employee's relationship with a unit — returned by wsdlFindEmployees.

api_keystringrequired

API key of the employee's home unit.

unitNamestringrequired

Name of the employee's home unit.

extApplicationIdstring

External application id of the home unit (when configured on the unit card).

badgeNostringrequired

Badge number of the employee.

employeeIdintrequired

Quinyx internal id of the employee.

emailstringrequired

Email of the employee.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlFindEmployeesResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:UnitEmployee[1]">
      <item xsi:type="tns:UnitEmployee">
        <api_key xsi:type="xsd:string">string</api_key>
        <unitName xsi:type="xsd:string">string</unitName>
        <extApplicationId xsi:type="xsd:string">string</extApplicationId>
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <employeeId xsi:type="xsd:int">0</employeeId>
        <email xsi:type="xsd:string">string</email>
      </item>
    </return>
    </tns:wsdlFindEmployeesResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2018-09-24 API Endpoint released